@keyframes almenu {
    0% {height: 0;}
	0% {opacity: 0;}
}
@keyframes expandBackground {
	from {
	  height: 50px;
	}
	to {
	  height: 80px;
	}
  }
#menu01{
	padding: 32px 0px;
	margin-right: 0px;
	float: right;
	height: 50px;
}
.fejsor.small  #menu01{
	padding: 8px 0px;

  }
#menu01 ul { 
    list-style-type: none;
    margin: 0;
    padding: 0;
}
#menu01 li {
	float: left;
	position: relative;
}
#menu01 li a {
    display: block;
    text-align: center;
    padding: 2px 12px;
	margin: 4px 8px;
    text-decoration: none;
	cursor: pointer;
	font-size: 16pt;
	font-weight: 400;
	color: white;
}
#menu01 li a:hover:not(.active) {
	color: rgb(255, 98, 0);
}
#menu01 .active {
	background-color: #4669af;
	margin-top: -22px;
	align-self: flex-start;
	padding: 26px 8px;
	animation: expandBackground 0.3s ease-out forwards; /* Animáció a megjelenéshez */
}

#menu01 div.menu-icon  {
	display: none;
}
#menu01 li.almenu {
    display: inline-block;
}
#menu01 .elvalaszto {
    content: ''; /* Üres tartalom a saját felsorolásjelhez */
    left: 0; /* A felsorolásjel pozíciója */
    margin-top: 12px;
    transform: translateY(-50%);
    width: 0px; /* Négyzet szélessége */
    height: 0px; /* Négyzet magassága */
    background-color: var(--main-szin2);
}
.noborder {
	border: none !important;
}
#menu01 .almenu-tartalom {
    display: none;
    position: absolute;
    background-color: var(--main-szin2);
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 20;
}
#menu01 .almenu-tartalom a {
    color: black;
    padding: 8px 8px;
    text-decoration: none;
    display: block;
    text-align: left;
	z-index: 20;
	border: none !important;
}

#menu01 .almenu-tartalom a:hover {
	background-color: var(--main-szin1); 
	color: white!important;
	border: none !important;
}

#menu01 .almenu:hover .almenu-tartalom {
    display: block;
}
#foo  {
 display:block;
}
.le_nyil{
	display:inline-block;
	width:0;height:0;
	margin-left:3px;
	vertical-align:middle;
	border-top:4px dashed;
	border-top:4px solid\9;
	border-right:4px solid transparent;
	border-left:4px solid transparent
	}	
.kiemeltm {
 color: red !important;
	font-weight: bold;
}	
#tetelszam {
	background-color: red;
	position: absolute;
	right: 0px;
	top: -8px;
	font-size: 9pt;
	margin: 0px;
	width: 22px;
	height: 22px;
	text-align: center;
	border-radius: 50%;
}
	
@media screen and (max-width: 1024px) {	
#menu01 li a {
    padding: 4px 8px;
	font-size: 12pt;
}
}	
@media screen and (max-width: 768px) {	
#menu01{
	width: 50%;
	margin: 0px;
}
#menu01 div.menu-icon  {
	width: 100%;
	display: block; /*or inline-block*/
	cursor: pointer;
	margin-top: 8px;
}
#menu01 a.menu-icon {
    text-decoration: none;
	font-size: 20pt;
	font-weight: bold;
	z-index: 200;
	color: white;
	float: right;
}
#menu01 a.menu-icon:hover {
	color: #ff7300;
}
#menu01 ul { 
	background-color: var(--elso-szin); 
	z-index: 200;
	position: absolute;	
	box-sizing: border-box;
	margin-top: 40px;
	right: 0px;
	
}
#menu01 .active {
	background-color: #4669af;
	margin-top: 0px;
	padding: 8px;
	animation: none;
}
#foo  {
 display:none;
	z-index: 20;
}
#menu01 li {
	float: none;
	z-index: 20;
	
}
#menu01 li a {
	font-size: 12pt;
	text-align: right;
}
#menu01 li.almenu {
	width: 100%;
}
#menu01 .almenu-tartalom {
    width: 90%;
	border-top: 1px solid orange;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;	
}
#menu01 a.menu-icon {
    margin: 0px;
	padding: 0px;
}
}
@media screen and (max-width: 500px) {
	#menu01{
		margin-top: -18px;
	}
	.fejsor.small  #menu01{
		margin-top: -4px;
	  } 
}
